PrefabFiles = {
	"joh",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/joh.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/joh.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/joh.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/joh.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/joh_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/joh_silho.xml" ),

    Asset( "IMAGE", "bigportraits/joh.tex" ),
    Asset( "ATLAS", "bigportraits/joh.xml" ),
	
	Asset( "IMAGE", "images/map_icons/johanna.tex" ),
	Asset( "ATLAS", "images/map_icons/johanna.xml" ),

}

local require = GLOBAL.require





-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.joh = "Johanna Mason"
GLOBAL.STRINGS.CHARACTER_NAMES.joh = "joh"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.joh = "*Ready to chop down trees\n*Quick on her feet\n*Afraid of the rain"
GLOBAL.STRINGS.CHARACTER_QUOTES.joh = "\"Make him pay for it.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
GLOBAL.STRINGS.CHARACTERS.JOH = {}
GLOBAL.STRINGS.CHARACTERS.JOH.DESCRIBE = {}
STRINGS.CHARACTERS.JOH = require "speech_joh"

-- Let the game know joh is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "joh")

AddMinimapAtlas("images/map_icons/johanna.xml")
AddModCharacter("joh")

